<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>ho-cloud</artifactId>
        <groupId>com.hoenergy</groupId>
        <version>1.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>business-service-dao</artifactId>

    <properties>
        <common-tools.version>1.0</common-tools.version>
        <business-service-api.version>1.0</business-service-api.version>
        <user-service-api.version>1.0</user-service-api.version>
        <flowable-center-api.version>1.0</flowable-center-api.version>
        <td-service-api.version>1.0</td-service-api.version>
        <data-collect-service-api.version>1.0</data-collect-service-api.version>
    </properties>

    <dependencies>
        <!--minio依赖-->
<!--        <dependency>-->
<!--            <groupId>io.minio</groupId>-->
<!--            <artifactId>minio</artifactId>-->
<!--            &lt;!&ndash;<version>7.1.0</version>&ndash;&gt;-->
<!--            <version>8.4.4</version>-->
<!--            <exclusions>-->
<!--                <exclusion>-->
<!--                    <groupId>com.squareup.okhttp3</groupId>-->
<!--                    <artifactId>okhttp</artifactId>-->
<!--                </exclusion>-->
<!--            </exclusions>-->
<!--        </dependency>-->
        <!--工具类-->
        <dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>common-tools</artifactId>
            <version>${common-tools.version}</version>
        </dependency>
        <dependency>
            <groupId>com.squareup.okhttp3</groupId>
            <artifactId>okhttp</artifactId>
            <version>4.10.0</version>
        </dependency>
        <!--junit-->
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
        </dependency>
        <!--spring test-->
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-test</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-test</artifactId>
        </dependency>
        <!--上层api-->
        <dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>business-service-api</artifactId>
            <version>${business-service-api.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>common-tools</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>td-service-api</artifactId>
            <version>${td-service-api.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>common-tools</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!--POI组件-->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi-ooxml</artifactId>
        </dependency>
        <!--依赖数据采集api-->
        <dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>data-collect-service-api</artifactId>
            <version>1.0</version>
            <exclusions>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>common-tools</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!--user-service-api-->
        <dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>user-service-api</artifactId>
            <version>${user-service-api.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>common-tools</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!--flowable-center-api-->
        <dependency>
            <groupId>com.hoenergy</groupId>
            <artifactId>flowable-center-api</artifactId>
            <version>${flowable-center-api.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.hoenergy</groupId>
                    <artifactId>common-tools</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!--springboot web-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <!--springboot admin -client-->
        <dependency>
            <groupId>de.codecentric</groupId>
            <artifactId>spring-boot-admin-starter-client</artifactId>
        </dependency>
        <!--OpenFeign-->
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-openfeign</artifactId>
        </dependency>
        <!--Mysql 驱动-->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>
        <!--Druid数据库连接-->
        <!--<dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid</artifactId>
        </dependency>-->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
        </dependency>
        <!--mybatis-->
        <dependency>
            <groupId>org.mybatis.spring.boot</groupId>
            <artifactId>mybatis-spring-boot-starter</artifactId>
        </dependency>
        <!--redisson-->
        <dependency>
            <groupId>org.redisson</groupId>
            <artifactId>redisson-spring-boot-starter</artifactId>
        </dependency>
        <!--caffeine-->
        <dependency>
            <groupId>com.github.ben-manes.caffeine</groupId>
            <artifactId>caffeine</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
        </dependency>
        <!--        <dependency>-->
<!--            <groupId>ma.glasnost.orika</groupId>-->
<!--            <artifactId>orika-core</artifactId>-->
<!--            <version>1.5.4</version>-->
<!--            <scope>compile</scope>-->
<!--        </dependency>-->

    </dependencies>
</project>